"use strict";var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.mappingModuleDecorator=exports.mappingMiddlewares=exports.mappingMetadataDecorator=exports.last=exports.MulterStrategy=void 0;var _construct2=_interopRequireDefault(require("@babel/runtime/helpers/construct"));var _toConsumableArray2=_interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));require("reflect-metadata");var _lodash=_interopRequireDefault(require("lodash.compact"));var _lodash2=_interopRequireDefault(require("lodash.isequal"));var _constant=require("./constant");var MulterStrategy=Object.freeze({SINGLE:"SINGLE",ARRAY:"ARRAY",OBJECT:"OBJECT"});exports.MulterStrategy=MulterStrategy;var last=function last(array){var length=array==null?0:array.length;return length?array[length-1]:undefined};exports.last=last;var mappingMetadataDecorator=function mappingMetadataDecorator(_ref){var _ref$method=_ref.method,method=_ref$method===void 0?"GET":_ref$method,_ref$path=_ref.path,path=_ref$path===void 0?"/":_ref$path;return function(target,key,descriptor){if(!path){throw new Error("path cannot be empty.")}Reflect.defineMetadata(_constant.REQUEST_METHOD,method,target[key]);Reflect.defineMetadata(_constant.REQUEST_PATH,path,target[key]);return descriptor}};exports.mappingMetadataDecorator=mappingMetadataDecorator;var mappingMiddlewares=function mappingMiddlewares(){var middlewares=arguments.length>0&&arguments[0]!==undefined?arguments[0]:[];return(0,_lodash["default"])(middlewares.map(function(mid){return typeof mid==="function"&&mid}))};exports.mappingMiddlewares=mappingMiddlewares;var mappingModuleDecorator=function mappingModuleDecorator(){var controllers=arguments.length>0&&arguments[0]!==undefined?arguments[0]:[];var extraModules=arguments.length>1&&arguments[1]!==undefined?arguments[1]:[];return function(target,key){if(key){throw new Error("@Module is not a part of function decorator.")}var modules=(0,_toConsumableArray2["default"])(extraModules);controllers.forEach(function(controller){if(!controller){throw new Error("Controller cannot be null.")}var prefix=Reflect.getMetadata(_constant.CONTROLLER_PREFIX,controller)||"/";var controllerMiddlewares=Reflect.getMetadata(_constant.CONTROLLER_MIDDLEWARES,controller)||[];var dependencies=Reflect.getMetadata(_constant.DEPENDENCIES,controller)||[];var dependenciesMapped=dependencies.map(function(dependency){return new dependency});var self=controller.prototype;var instance=(0,_construct2["default"])(self.constructor,(0,_toConsumableArray2["default"])(dependenciesMapped));Object.getOwnPropertyNames(self).filter(function(it){return it!=="constructor"&&typeof self[it]==="function"}).forEach(function(func){var controllerTarget=instance[func];var method=Reflect.getMetadata(_constant.REQUEST_METHOD,controllerTarget);var path=Reflect.getMetadata(_constant.REQUEST_PATH,controllerTarget);var multerOptions=Reflect.getMetadata(_constant.MULTER_OPTIONS,controllerTarget)||[];var middlewares=Reflect.getMetadata(_constant.MIDDLEWARES,controllerTarget)||[];if(method&&path){var realPath=(0,_lodash["default"])(path.split("/")).join("/");var urlRedirect=Reflect.getMetadata(_constant.URL_REDIRECT,controllerTarget);var header=Reflect.getMetadata(_constant.HEADER,controllerTarget);var status=Reflect.getMetadata(_constant.STATUS_CODE,controllerTarget)||200;var view=Reflect.getMetadata(_constant.RENDER_VIEW,controllerTarget);var interceptors=Reflect.getMetadata(_constant.INTERCEPTOR,controllerTarget);var resolver=function resolver(req,res){return Promise.resolve(controllerTarget.bind(instance)(req,res)).then(function(result){if((0,_lodash2["default"])(result,res)){return result}var handleMappingResolver=function handleMappingResolver(result){if(header){res.set(header)}if(urlRedirect)return res.redirect(status,urlRedirect);if(view){return res.status(status).render(view,{message:result})}return res.status(status).send(result)};if(interceptors&&interceptors.length!==0){return Promise.all(interceptors.map(function(interceptor){if(interceptor&&typeof interceptor==="function"){return Promise.resolve(interceptor(req,result))}return Promise.resolve(null)})).then(function(nestedResults){return handleMappingResolver(last(nestedResults)||result)})["catch"](function(error){throw error})}return handleMappingResolver(result)})["catch"](function(error){throw error})};modules.push({path:"/".concat((0,_lodash["default"])("".concat(prefix,"/").concat(realPath).split("/")).join("/")),method:method,multerOptions:multerOptions,middlewares:[].concat((0,_toConsumableArray2["default"])(controllerMiddlewares),(0,_toConsumableArray2["default"])(middlewares)),resolver:resolver})}})});Reflect.defineMetadata(_constant.MODULE,modules,target.prototype)}};exports.mappingModuleDecorator=mappingModuleDecorator;