"use strict";var _interopRequireDefault=require("@babel/runtime/helpers/interopRequireDefault");Object.defineProperty(exports,"__esModule",{value:true});exports.Dependencies=exports.Injectable=exports.Middlewares=exports.UploadFiles=exports.UploadFile=exports.Multer=exports.Interceptors=exports.Hooks=exports.Module=exports.Controller=exports.Render=exports.Header=exports.StatusCode=exports.Redirect=exports.Head=exports.Options=exports.All=exports.Patch=exports.Delete=exports.Put=exports.Post=exports.Get=void 0;require("reflect-metadata");var _lodash=_interopRequireDefault(require("lodash.compact"));var _helper=require("../core/helper");var _constant=require("../core/constant");var Get=function Get(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"GET",path:path})};exports.Get=Get;var Post=function Post(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"POST",path:path})};exports.Post=Post;var Put=function Put(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"PUT",path:path})};exports.Put=Put;var Delete=function Delete(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"DELETE",path:path})};exports.Delete=Delete;var Patch=function Patch(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"PATCH",path:path})};exports.Patch=Patch;var All=function All(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"ALL",path:path})};exports.All=All;var Options=function Options(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"OPTIONS",path:path})};exports.Options=Options;var Head=function Head(){var path=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";return(0,_helper.mappingMetadataDecorator)({method:"HEAD",path:path})};exports.Head=Head;var Redirect=function Redirect(url){var statusCode=arguments.length>1&&arguments[1]!==undefined?arguments[1]:301;return function(target,key,descriptor){if(!url){throw new Error("url cannot be empty.")}Reflect.defineMetadata(_constant.URL_REDIRECT,url,target[key]);return StatusCode(statusCode)(target,key,descriptor)}};exports.Redirect=Redirect;var StatusCode=function StatusCode(){var statusCode=arguments.length>0&&arguments[0]!==undefined?arguments[0]:200;return function(target,key,descriptor){if(!statusCode){throw new Error("statusCode cannot be empty.")}var redirectStatusCode=Reflect.getMetadata(_constant.STATUS_CODE,target[key]);Reflect.defineMetadata(_constant.STATUS_CODE,redirectStatusCode?redirectStatusCode:statusCode,target[key]);return descriptor}};exports.StatusCode=StatusCode;var Header=function Header(header){return function(target,key,descriptor){if(!header){throw new Error("header cannot be empty.")}Reflect.defineMetadata(_constant.HEADER,header,target[key]);return descriptor}};exports.Header=Header;var Render=function Render(viewName){return function(target,key,descriptor){if(!viewName){throw new Error("viewName cannot be empty.")}Reflect.defineMetadata(_constant.RENDER_VIEW,viewName,target[key]);return descriptor}};exports.Render=Render;var Controller=function Controller(){var prefix=arguments.length>0&&arguments[0]!==undefined?arguments[0]:"/";for(var _len=arguments.length,middleware=new Array(_len>1?_len-1:0),_key=1;_key<_len;_key++){middleware[_key-1]=arguments[_key]}return function(target,key){if(key){throw new Error("@Controller is not a part of function decorator.")}if(!prefix){throw new Error("prefix cannot be empty.")}var path=(0,_lodash["default"])(prefix.split("/")).join("/");Reflect.defineMetadata(_constant.CONTROLLER_PREFIX,"/".concat(path),target);var middlewares=(0,_helper.mappingMiddlewares)(middleware);Reflect.defineMetadata(_constant.CONTROLLER_MIDDLEWARES,middlewares,target)}};exports.Controller=Controller;var Module=function Module(){var options=arguments.length>0&&arguments[0]!==undefined?arguments[0]:{controllers:[],imports:[]};var _options$controllers=options.controllers,controllers=_options$controllers===void 0?[]:_options$controllers,_options$imports=options.imports,imports=_options$imports===void 0?[]:_options$imports;var extraModules=[];imports.forEach(function(importer){var modules=Reflect.getMetadata(_constant.MODULE,importer.prototype)||[];modules.forEach(function(m){extraModules.push(m)})});return(0,_helper.mappingModuleDecorator)(controllers,extraModules)};exports.Module=Module;var Hooks=function Hooks(){for(var _len2=arguments.length,func=new Array(_len2),_key2=0;_key2<_len2;_key2++){func[_key2]=arguments[_key2]}return function(target,key){if(key){throw new Error("@Hook is not a part of function decorator.")}Reflect.defineMetadata(_constant.HOOKS,func,target.prototype)}};exports.Hooks=Hooks;var Interceptors=function Interceptors(){for(var _len3=arguments.length,interceptor=new Array(_len3),_key3=0;_key3<_len3;_key3++){interceptor[_key3]=arguments[_key3]}return function(target,key,descriptor){if(!key){throw new Error("@Interceptor is not a part of class decorator.")}Reflect.defineMetadata(_constant.INTERCEPTOR,interceptor,target[key]);return descriptor}};exports.Interceptors=Interceptors;var Multer=function Multer(){for(var _len4=arguments.length,option=new Array(_len4),_key4=0;_key4<_len4;_key4++){option[_key4]=arguments[_key4]}return function(target,key,descriptor){if(!key){throw new Error("@Multer is not a part of class decorator.")}var options=option.map(function(opt){if(!opt||Object.keys(opt).length===0)return null;var name=opt.name,_opt$maxCount=opt.maxCount,maxCount=_opt$maxCount===void 0?1:_opt$maxCount,_opt$strategy=opt.strategy,strategy=_opt$strategy===void 0?_helper.MulterStrategy.OBJECT:_opt$strategy;if(!name){throw new Error("name cannot be empty.")}if(typeof maxCount!=="number"||maxCount<1){throw new Error("type of maxCount must be number and greater than 1.")}if(!Object.keys(_helper.MulterStrategy).some(function(str){return strategy.includes(str)})){throw new Error("the strategy should be '".concat(_helper.MulterStrategy.SINGLE,"', '").concat(_helper.MulterStrategy.ARRAY,"' or '").concat(_helper.MulterStrategy.OBJECT,"'"))}return{name:name,maxCount:maxCount,strategy:strategy}});Reflect.defineMetadata(_constant.MULTER_OPTIONS,(0,_lodash["default"])(options),target[key]);return descriptor}};exports.Multer=Multer;var UploadFile=function UploadFile(name){return function(target,key,descriptor){return Multer({name:name,maxCount:1,strategy:"SINGLE"})(target,key,descriptor)}};exports.UploadFile=UploadFile;var UploadFiles=function UploadFiles(name){var maxCount=arguments.length>1&&arguments[1]!==undefined?arguments[1]:1;return function(target,key,descriptor){return Multer({name:name,maxCount:maxCount,strategy:"ARRAY"})(target,key,descriptor)}};exports.UploadFiles=UploadFiles;var Middlewares=function Middlewares(){for(var _len5=arguments.length,middleware=new Array(_len5),_key5=0;_key5<_len5;_key5++){middleware[_key5]=arguments[_key5]}return function(target,key,descriptor){if(!key){throw new Error("@Middlewares is not a part of class decorator.")}var middlewares=(0,_helper.mappingMiddlewares)(middleware);Reflect.defineMetadata(_constant.MIDDLEWARES,middlewares,target[key]);return descriptor}};exports.Middlewares=Middlewares;var Injectable=function Injectable(){return function(target,key){if(key){throw new Error("@Dependencies is not a part of function decorator.")}Reflect.defineMetadata(_constant.INJECTABLE,target.prototype,target)}};exports.Injectable=Injectable;var Dependencies=function Dependencies(){for(var _len6=arguments.length,dependency=new Array(_len6),_key6=0;_key6<_len6;_key6++){dependency[_key6]=arguments[_key6]}return function(target,key){if(key){throw new Error("@Dependencies is not a part of function decorator.")}var dependencies=dependency.map(function(d){var dep=Reflect.getMetadata(_constant.INJECTABLE,d);if(!dep){throw new Error("Can't resolve dependencies of the ".concat(target.name,". Please make sure your dependencies are injected by Injectable decorator."))}return d});Reflect.defineMetadata(_constant.DEPENDENCIES,dependencies,target)}};exports.Dependencies=Dependencies;